GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Private Member Functions | List of all members
gridfire::exceptions::EngineError Class Reference

Base class for engine-related exceptions. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::EngineError:
[legend]
Collaboration diagram for gridfire::exceptions::EngineError:
[legend]

## Private Member Functions
| GridFireError (std::string msg)

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Base class for engine-related exceptions.

This class serves as the base for all exceptions specific to the reaction network engine in the GridFire library. It extends the GridFireError class and allows for custom error messages related to engine operations.

## Member Function Documentation

## ◆ GridFireError()

gridfire::exceptions::GridFireError::GridFireError | ( | std::string | msg | ) |
| inline explicit private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h